<?php 
  include("../scripts/connect.php");
   $conexion=conecta_default();
include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session
	   $id_cd=$sesion->id;
extract($_POST);

$continuar=0;
$gastos=0;
$entradas=0;
$salidas=0;
$efectivo=0;
$prod=array();

$qp3 = "select cantidad, fechac, horac from cortecaja where id_cd=$id_cd order by fechac DESC";
   $cp3 = mysql_query($qp3) or die ('Error (Registro No Encontrado): ' . mysql_error());
$rp3 = mysql_fetch_object($cp3);	
if(mysql_affected_rows($conexion))
{	
	
	$cajaini = $rp3->cantidad;
	$fechai = $rp3->fechac;
    $horai = $rp3->horac;
	 $observaciones = $rp3->observaciones;
$qp31 = "select curdate() as lafech";
   $cp31 = mysql_query($qp31) or die ('Error (Registro No Encontrado): ' . mysql_error());
$rp31 = mysql_fetch_object($cp31);	
	$hoy = $rp31->lafech;
	
if($fechai==$hoy){
	echo"<br><br><br><center><font size=\"+1\"  color=\"#990000\"><b>EL corte del d&iacute;a ya fue realizado<br>
	No es posible realizar movimientos</b></font><br><br>
	<form name=\"Agrega\" action=\"cortecaja2.php\" method=\"post\"><input type=hidden name=total value=$cajaini />
	<input type=hidden name=ver value=1 />
<input type=\"submit\" name=\"aceptar\" id=\"aceptar\" value=\"Ver Reporte\" /></form>";
	
	}else{	
	/*
$qp32 = "select nombre from usuarios_ci where idusuarios_ci=$entrega";
   $cp32 = mysql_query($qp32) or die ('Error (Registro No Encontrado): ' . mysql_error());
$rp32 = mysql_fetch_object($cp32);	
	$nomentrega = $rp32->nombre;
 
$qPP = "select id_prod, nombreProd, cant from pedido join productos on pedido.productos_idprod=productos.id_prod where transacciones_idtransacciones=$trans order by nombreProd";

$rPP = mysql_query($qPP) or die ('ErrPP: '. mysql_error());

*/

echo "<center><br><font color=\"#000099\" size=\"+2\"><b>Realizar Corte de caja al d&iacute;a: $hoy</b></font><br><br>
&Uacute;ltimo corte realizado el d&iacute;a: <b>$fechai</b> a las <b>$horai</b><br>
Cantidad inicial en caja: <font size=\"+2\"><b>$ $cajaini</b></font><br>
Comentarios: <b>$observaciones</b><br><br>";

$qPP = "select sum(cantidad) as cant, sum(puntos) as ptos, sum(efectivo) as ef, sum(deposito) as de, sum(tarjeta) as ta, sum(regalias) as re, sum(voucher) as vo, sum(porpagar) as pp from transacciones join depositos on depositos.transacciones_idtransacciones=transacciones.idtransacciones join pagovta on transacciones.idtransacciones=pagovta.idtransacciones where fechat>'$fechai' and usuarios_ci_idusuarios_ci=$id_cd ";
	

$rPP = mysql_query($qPP) or die ('ErrPP: '. mysql_error());
  
if(mysql_affected_rows($conexion))
{
	echo "
			
	<font size=\"+1\"><b>Resumen de ventas:</b></font><table border=\"1\"> <th>Cantidad</th><th>Puntos</th><th>Efectivo</th><th>Deposito</th><th>Tarjeta</th><th>Regs</th>
	<th>Voucher</th><th>X Pagar</th></tr>";
	
	while (($objetoPP=mysql_fetch_object($rPP)) )
{
$idprodt=$objetoPP->id_prod;
$efectivo=$objetoPP->ef;
	echo "<tr>
			 <td align=\"center\">$ $objetoPP->cant</td>
			 <td align=\"center\">$objetoPP->ptos</td>
			 <td align=\"center\">$ $objetoPP->ef</td>
			 <td align=\"center\">$ $objetoPP->de</td>
			 <td align=\"center\">$ $objetoPP->ta</td>
			 <td align=\"center\">$objetoPP->re</td>
			 <td align=\"center\">$objetoPP->vo</td>
			 <td align=\"center\">$objetoPP->pp</td>
           </tr> ";
			

		    
}
	
   
   
   echo"</table><br>";
}
 
	$qPP = "select no_factura, total, descripcion, autorizo, realizo from dineros where fecha_g>'$fechai' and id_cd=$id_cd and tipo_g=1";
	

$rPP = mysql_query($qPP) or die ('ErrPP: '. mysql_error());
  
if(mysql_affected_rows($conexion))
{
	echo "
				<center><font size=\"+1\"><b>Resumen de gastos</b></font>
	<br><table border=\"1\" width=\"600\" align=\"center\"><tr><th>no_factura</th><th>Cantidad</th><th>Descrpci&oacute;n</th><th>Autoriz&oacute;</th><th>Recibi&oacute;
	</tr>";
	
	while (($objetoPP=mysql_fetch_object($rPP)) )
{
$gastos+=$objetoPP->total;
	echo "<tr>
			 <td align=\"center\">$objetoPP->no_factura</td>
			 <td align=\"center\">$ $objetoPP->total</td>
			 <td align=\"center\">$objetoPP->descripcion</td>
			 <td align=\"center\">$objetoPP->autorizo</td>
			 <td align=\"center\">$objetoPP->realizo</td>
           </tr>";

		    
}
	
   
   
   echo"</table><br>";
   
   
   
   
}

	$qPP = "select total, descripcion, autorizo, realizo from dineros where fecha_g>'$fechai' and id_cd=$id_cd and tipo_g=2";
	

$rPP = mysql_query($qPP) or die ('ErrPP: '. mysql_error());
  
if(mysql_affected_rows($conexion))
{
	echo "
				<center><font size=\"+1\"><b>Resumen de entradas efectivo</b></font>
	<br><table border=\"1\" width=\"600\" align=\"center\"><tr><th>Cantidad</th><th>Entregado por:</th><th>Descripci&oacute;n</th>
	</tr>";
	
	while (($objetoPP=mysql_fetch_object($rPP)) )
{
$entradas+=$objetoPP->total;
	echo "<tr>
		
			 <td align=\"center\">$ $objetoPP->total</td> <td align=\"center\">$objetoPP->realizo</td>
			 <td align=\"center\">$objetoPP->descripcion</td>
		
			
           </tr>";

		    
}
	
   
   
   echo"</table><br>";
   
   
   
   
}

	$qPP = "select total, descripcion, autorizo, realizo from dineros where fecha_g>'$fechai' and id_cd=$id_cd and tipo_g=3";
	

$rPP = mysql_query($qPP) or die ('ErrPP: '. mysql_error());
  
if(mysql_affected_rows($conexion))
{
	echo "
				<center><font size=\"+1\"><b>Resumen de salidas de efectivo</b></font>
	<br><table border=\"1\" width=\"600\" align=\"center\"><tr><th>Cantidad</th><th>Recibido por:</th><th>Descripci&oacute;n</th>
	</tr>";
	
	while (($objetoPP=mysql_fetch_object($rPP)) )
{
$salidas+=$objetoPP->total;
	echo "<tr>
		
			 <td align=\"center\">$ $objetoPP->total</td> <td align=\"center\">$objetoPP->realizo</td>
			 <td align=\"center\">$objetoPP->descripcion</td>
		
			
           </tr>";

		    
}
	
   
   
   echo"</table><br>";
   
   
   
   
}

$final=$cajaini+$efectivo+$entradas-$gastos-$salidas;
echo"
<font size=\"+1\"><b>Resumen Global</b></font><br>
<table border=\"1\" width=\"600\" align=\"center\">
<tr><td>Inicial en caja</td><td><b>$ $cajaini</b></td><td>Ventas Efectivo</td><td><b>$ $efectivo</b></td><td>Entradas Efectivo</td><td><b>$ $entradas</b></td></tr>
<tr><td>Total Gastos</td><td><b>-$ $gastos</b></td><td>Salidas Efectivo</td><td><b>-$ $salidas</b></td><td>Saldo Final</td><td><b>$ $final</b></td></tr></table>";
echo"<br><center><table><tr><td><font size=\"+1\"><b>Producto Entregado</b></font>";


$q2 = "select sum(cant), nombreprod, precio, puntos from pedido join transacciones on (transacciones.idtransacciones=pedido.transacciones_idtransacciones) join productos on (productos.id_prod=pedido.productos_idprod) where 	transacciones.cdentrega=$id_cd and statusentrega='ENTREGADO' and fechae= curdate()  group by productos_idprod";

  

  $c2 = mysql_query($q2) or die ('Error en la consulta' . mysql_error());
if(mysql_affected_rows()){
  echo"<table border=\"1\"> <tr>

			<th>Cantidad</th><th>Producto</th>

			</tr>";

  for($i=0;$r1 = mysql_fetch_row($c2);$i++)

   {

	   $a0 = $r1[0];

	   $a1 = $r1[1];

	   $a2 = $r1[2];

	   $a3 = $r1[3];

	 

	  

	   $tot=$a0*$a2;

	   $vta_total+=$tot;

	  

echo"<tr><td>$a0</td><td>$a1</td></tr>";

	}

	echo"</table><br>";

	}echo"</td><td width=30></td><td>";

  $q2 = "SELECT sum(deposito), cuenta, numero  FROM transacciones join "
        . "depositos on depositos.transacciones_idtransacciones=transacciones.idtransacciones join "
        . "pagovta on transacciones.idtransacciones=pagovta.idtransacciones join "
        . "bancos on bancos.idbanco=depositos.banco_idbanco "
        . "WHERE usuarios_ci_idusuarios_ci=$id_cd and deposito>0 and fechat=curdate()  "
        . "group by banco_idbanco order by banco_idbanco";
        
        $c2 = mysql_query($q2) or die ('Error en la consulta 1234' . mysql_error());

  echo"<center><br><font size=\"+1\"><b>Depositos por banco</b></font> <table border=\"1\"> <tr>
        <th>Banco</th><th>Cantidad</th></tr>";

  for($i=0;$r1 = mysql_fetch_row($c2);$i++){
$a0 = $r1[0];
$a1 = $r1[1];
$a2 = $r1[2];
$vta5_totalt+=$a0;
echo"<tr><td align=\"center\"><b>$a1 $a2</b></td><td>$ $a0</td>";}
$vta5_totalt_Form=number_format($vta5_totalt, 2, '.', ',');
echo"</tr></table>Total depositado: <font size=\"5\"> <b>$ $vta5_totalt_Form</b></font><br>";




echo"</td></tr></table>";

echo"<font size=\"+1\"  color=\"#990000\"><b>Al hacer click en continuar, ya no ser&aacute; posible realizar ninguna <bR>
venta y caja quedar&aacute; actualizada con la cantidad de $ $final</b></font>
<br>
<form name=\"Agrega\" action=\"cortecaja2.php\" method=\"post\"><input type=hidden name=total value=$final /><input type=hidden name=inicial value=$cajaini />
<input type=hidden name=eef value=$entradas />
<input type=hidden name=sef value=$gastos />
<input type=hidden name=gtos value=$salidas/>
<input type=hidden name=fin value=$final/><br> 
	Observaciones: (max 150 carac)<br><TEXTAREA NAME=\"comments\" COLS=\"40\" ROWS=\"2\" maxlength=\"150\"></TEXTAREA><br><br><input type=hidden name=thefech value=$fechai />
<input type=\"submit\" name=\"aceptar\" id=\"aceptar\" value=\"Hacer corte del d&iacute;a\" /></form>
<br><br>

";


	}
	
}else


{
	
	
	echo"<center><br><font color=\"#000099\" size=\"+2\"><b>Corte de caja</b></font><br><br>
Este usuario no cuenta no cuenta con caja inicial registrada<br>
Favor de ingresar la cantidad inicial en caja para continuar <br><br>

<form name=\"Agrega\" action=\"iniciocaja.php\" method=\"post\">
Cantidad Inicial en Caja: &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;$<input type=\"text\" name=cantidad size=\"4\" maxlength=\"10\"><br>
<br><input type=\"submit\" name=\"aceptar\" id=\"aceptar\" value=\"Ingresar caja inicial\" /></form>
<br><br>

";
	
	
	
	}
?>

